/*****************************************************************************

	GTK Development Environment
	
	Copyright (c) 2000 End of the World Software

	date:	November 28 2000
	author: Gertjan Zwartjes
	email:	g.zwartjes@student.tue.nl

  **************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "gde.h"
#include "resource/about.xpm"


/*=========================================================

	Variable Declarations

=========================================================*/
static GtkWidget *about_dialog;


/*---------------------------------------------------------

	about_win_ok()

	This function is called whenever the user presses
	the ok button.

---------------------------------------------------------*/
static void about_win_ok(GtkWidget *widget, gpointer data)
{
	gtk_widget_destroy(about_dialog);
}


/*---------------------------------------------------------

	about_win()

	Shows the about window.

---------------------------------------------------------*/
void about_win(void)
{
	GtkWidget *vbox, *ver_label, *ok_button, *hbbox;
	GdkPixmap *about_pixmap;
	GdkBitmap *about_mask;
	GtkWidget *logo;
	gchar strver[255];

	about_dialog = gtk_dialog_new();
	gtk_window_set_title(GTK_WINDOW (about_dialog), "About GDE");
	gtk_window_set_modal(GTK_WINDOW (about_dialog), TRUE);
	gtk_window_set_policy(GTK_WINDOW (about_dialog), FALSE, FALSE, FALSE);
	gtk_window_set_position(GTK_WINDOW (about_dialog), GTK_WIN_POS_CENTER);
	gtk_window_set_transient_for(GTK_WINDOW (about_dialog), GTK_WINDOW (main_win));

	gtk_widget_realize(about_dialog);
	
	about_pixmap = gdk_pixmap_create_from_xpm_d(about_dialog->window, &about_mask, NULL, about_xpm);
	logo = gtk_pixmap_new(about_pixmap, about_mask);
	
	vbox = gtk_vbox_new(FALSE, 5);
	gtk_container_set_border_width(GTK_CONTAINER (about_dialog), 5);
	gtk_box_pack_start(GTK_BOX (GTK_DIALOG (about_dialog)->vbox), vbox, FALSE, FALSE, 0);
	gtk_widget_show(vbox);

	gtk_box_pack_start(GTK_BOX (vbox), logo, FALSE, FALSE, 0);
	gtk_widget_show(logo);
	
	sprintf(strver, "Gtk Development Environment version %s", GDE_VERSION);
	ver_label = gtk_label_new(strver);
	gtk_box_pack_start(GTK_BOX (vbox), ver_label, FALSE, FALSE, 0);
	gtk_widget_show(ver_label);
	
	gtk_container_set_border_width(GTK_CONTAINER (GTK_DIALOG (about_dialog)->action_area), 2);
	gtk_box_set_homogeneous(GTK_BOX (GTK_DIALOG (about_dialog)->action_area), FALSE);
	
	hbbox = gtk_hbutton_box_new();
	gtk_button_box_set_spacing(GTK_BUTTON_BOX (hbbox), 4);
	gtk_box_pack_end(GTK_BOX (GTK_DIALOG (about_dialog)->action_area), hbbox, FALSE, FALSE, 0);
	gtk_widget_show(hbbox);

	ok_button = gtk_button_new_with_label("OK");
	GTK_WIDGET_SET_FLAGS(ok_button, GTK_CAN_DEFAULT);
	gtk_box_pack_end(GTK_BOX (hbbox), ok_button, FALSE, FALSE, 0);
	gtk_signal_connect(GTK_OBJECT (ok_button), "clicked",
					   GTK_SIGNAL_FUNC(about_win_ok), NULL);
	gtk_widget_grab_default(ok_button);
	gtk_widget_show(ok_button);
	
	gtk_widget_show(about_dialog);
}
