/*****************************************************************************

	GTK Development Environment
	
	Copyright (c) 2000 End of the World Software

	date:	December 05 2000
	author: Gertjan Zwartjes
	email:	g.zwartjes@student.tue.nl

  **************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/
#ifndef _FILELIST_H
#define _FILELIST_H


/*---------------------------------------------------------

	Constant Definitions
	
---------------------------------------------------------*/
typedef struct {
	gchar				*filename;
	GtkCTreeNode		*tree_item;
	time_t				modified;
	struct GdeFileList	*prev_file;
	struct GdeFileList	*next_file;
} GdeFileList;


/*---------------------------------------------------------

	Public Declarations
	
---------------------------------------------------------*/
GdeFileList *file_list_new(void);
GdeFileList *file_list_new_item(GdeFileList*);
GdeFileList *file_list_find_node(GdeFileList*, GtkCTreeNode*);
void file_list_save(FILE*, GdeFileList*, const gchar*);
void file_list_clear(GdeFileList*);
gboolean file_list_modified(GdeFileList*);
void file_list_modified_reset(GdeFileList*);

#endif
