/*****************************************************************************

	GTK Development Environment
	
	Copyright (c) 2000 End of the World Software

	date:	November 28 2000
	author: Gertjan Zwartjes
	email:	g.zwartjes@student.tue.nl

  **************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/
#ifndef _MAINWIN_H
#define _MAINWIN_H


/*---------------------------------------------------------

	Constant Definitions
	
---------------------------------------------------------*/
#define MAINWIN_TOP		0
#define MAINWIN_LEFT	0
#define MAINWIN_WIDTH	794
#define MAINWIN_HEIGHT	50

#define MAIN_WIN_TITLE		"Gtk Development Environment"


/*---------------------------------------------------------

	Public Declarations
	
---------------------------------------------------------*/
void main_win_create(void);
gint main_win_destroy(void);

void main_win_show(void);
gint main_win_hide(void);

void main_win_set_title(const gchar*);

void main_win_disable_commands(void);
void main_win_enable_commands(void);

void main_win_recent_clear(void);
void main_win_recent_add(const gchar*);
void main_win_recent_update(void);

void main_win_get_window_info(GdeWindowInfo*);
void main_win_set_window_info(GdeWindowInfo*);

extern GtkWidget *main_win;
extern GtkAccelGroup *main_accel_group;

#endif
