/*****************************************************************************

	GTK Development Environment
	
	Copyright (c) 2000 End of the World Software

	date:	November 28 2000
	author: Gertjan Zwartjes
	email:	g.zwartjes@student.tue.nl

  **************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/
#ifndef _PROJECT_H
#define _PROJECT_H


/*---------------------------------------------------------

	Constant Definitions
	
---------------------------------------------------------*/
typedef struct {
	GdeFileList		*source_list;
	GdeFileList		*header_list;
	GdeFileList		*root_list;

	gchar			edit_command[255];
	gchar			make_command[255];
	gchar			run_command[255];
	gchar			clean_command[255];
	pid_t			command_running_pid;

	gboolean		check_dates;

	gboolean		needs_save;
	gchar			filename[255];
} GdeProject;


/*---------------------------------------------------------

	Public Declarations
	
---------------------------------------------------------*/
extern GdeProject *project;

void project_new(void);
void project_delete(void);

void project_add(void);
void project_remove(void);

void project_edit(void);
void project_make(void);
void project_run(void);
void project_clean(void);
void project_kill_command(void);

void project_open(void);
gboolean project_close(void);
void project_save(void);
void project_save_as(void);
void project_open_file(const gchar*);

GdeFileList* project_find_node(GtkCTreeNode*);

#endif
