/*****************************************************************************

	GTK Development Environment
	
	Copyright (c) 2000 End of the World Software

	date:	November 30 2000
	author: Gertjan Zwartjes
	email:	g.zwartjes@student.tue.nl

  **************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/
#ifndef _STATUSWIN_H
#define _STATUSWIN_H


/*---------------------------------------------------------

	Constant Definitions
	
---------------------------------------------------------*/
#define STATUSWIN_TOP		470
#define STATUSWIN_LEFT		24
#define STATUSWIN_WIDTH		740
#define STATUSWIN_HEIGHT	80

typedef enum {
	STATUS_TEXT_INFO,
	STATUS_TEXT_OUTPUT,
	STATUS_TEXT_ERROR
} GdeStatusTextType;


/*---------------------------------------------------------

	Public Declarations
	
---------------------------------------------------------*/
void status_win_create(void);
void status_win_destroy(void);

void status_win_show(void);
gint status_win_hide(void);

void status_win_text_insert(const gchar*, GdeStatusTextType);
void status_win_char_insert(gchar, GdeStatusTextType);
void status_win_clear(void);

void status_win_get_window_info(GdeWindowInfo*);
void status_win_set_window_info(GdeWindowInfo*);

#endif
